<?xml version='1.0'?>
<!--###########################################################################
 |      $Id: jref2xml.xsl,v 1.2 2001/09/20 18:38:20 ben Exp $
 |- ###########################################################################
 |      $Author: ben $
 |
 + ############################################################################ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'
                xmlns:docbook="http://www.oasis-open.org/docbook/xml/4.0"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                xmlns:xt="http://www.jclark.com/xt"
                xmlns:saxon="http://icl.com/saxon"
                xmlns:lxslt="http://xml.apache.org/xslt"
                xmlns:xalanredirect="org.apache.xalan.xslt.extensions.Redirect"
                exclude-result-prefixes="doc docbook xsl"
                extension-element-prefixes="xt saxon xalanredirect lxslt">

<xsl:import href="xsl2jref.xsl"/>

<xsl:param name="refdomain"></xsl:param>

<!-- Patch of the global xsl:stylesheet element so that reference appears only
     once -->

<xsl:template match="xsl:stylesheet">
  <xsl:apply-templates/>
</xsl:template>

<!-- Every item without the refdomain scope is not treated -->

<xsl:template match="doc:*[$refdomain!='' and not(@id=$refdomain)]"></xsl:template>

</xsl:stylesheet>

